update afr3111 set
	dat			= to_date(:dat,'yyyy/mm/dd'),
	dat1		= to_date(:dat1,'yyyy/mm/dd'),
	spktcd		= :spktcd,
	com1		= :com1,
	vlin		= :vlin,
	jan			= :jan,
	ijan		= :ijan,
	mvpno		= :mvpno,
	pno		    = :mvpno, /*補充発注も修正できるかららしい*/
	cst			= :cst,
	com			= :com,
	modfr		= :modfr,
	upchg		= :chgcd,
	udat		= sysdate,
	nr			= decode(sts,' ',nr,:nrld),
	sts			= :sts,
	obats		= :obats,
	ktchg		= :ktchg,
	dcls        = '1',  /*自動発注でも強制的に手動にするらしい*/
	dcls1       = '1'
where iseq=:iseq